Debian Bug report logs - #651324
ITP: python-potr -- Pure Python implementation of the OTR protocol

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Hans-Christoph Steiner <hans@eds.org>

Date: Wed, 7 Dec 2011 19:24:02 UTC

Owned by: "Hans-Christoph Steiner" <hans@eds.org>

Severity: wishlist

Fixed in version python-potr/1.0.0~beta6-1

Done: Hans-Christoph Steiner <hans@eds.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>:
Bug#651324; Package wnpp. (Wed, 07 Dec 2011 19:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans-Christoph Steiner <hans@eds.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>. (Wed, 07 Dec 2011 19:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-potr -- Pure Python implementation of the OTR protocol
Date: Wed, 07 Dec 2011 14:20:58 -0500
Package: wnpp
Severity: wishlist
Owner: "Hans-Christoph Steiner" <hans@eds.org>


* Package name    : python-potr
  Version         : 1.0.0b
  Upstream Author : Kjell Braden <afflux@pentabarf.de>
* URL             : http://python-otr.pentabarf.de/
* License         : LGPL-3+
  Programming Lang: Python
  Description     : Pure Python implementation of the OTR protocol

 python-potr is a pure python implementation of the OTR protocol
 (Off-the-Record encryption, see the OTR website for more
 information). This gives developers the flexibility to implement OTR
 encryption for their python-based Instant Messaging clients. A
 gajim-otr plugin will be available in the next major Gajim release to
 provide IM encryption independently of the underlying chat protocol.
 .
 This package also includes the command line utility 'convertkey' for
 converting the old OTR file format to the new one.

http://git.debian.org/?p=collab-maint/python-potr.git;a=summary




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>:
Bug#651324; Package wnpp. (Thu, 26 Jul 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>. (Thu, 26 Jul 2012 13:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 651324@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Hans-Christoph Steiner <hans@eds.org>
Cc: 651324@bugs.debian.org
Subject: News?
Date: Thu, 26 Jul 2012 15:43:34 +0200
[Message part 1 (text/plain, inline)]
Any news on your packaging?

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>:
Bug#651324; Package wnpp. (Tue, 09 Oct 2012 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans-Christoph Steiner <hans@eds.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Hans-Christoph Steiner" <hans@eds.org>. (Tue, 09 Oct 2012 02:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 651324@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: 651324@bugs.debian.org
Subject: waiting for the ok from upstream
Date: Mon, 08 Oct 2012 22:17:09 -0400
The packaging is fully functional, and I just updated it to version
1.0.0beta5.  I'm just waiting on the OK from upstream that he thinks its
ready for upload to Debian, as well as word from the Gajim maintainer
about packaging the included gajim-otr plugin.

You can get versions compiled for Ubuntu here:
https://launchpad.net/~guardianproject/+archive/ppa

Or you can get the source from git and build with git-buildpackage



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 07:06:02 GMT) Full text and rfc822 format available.

Reply sent to Hans-Christoph Steiner <hans@eds.org>:
You have taken responsibility. (Sun, 17 Feb 2013 21:03:06 GMT) Full text and rfc822 format available.

Notification sent to Hans-Christoph Steiner <hans@eds.org>:
Bug acknowledged by developer. (Sun, 17 Feb 2013 21:03:06 GMT) Full text and rfc822 format available.

Message #22 received at 651324-close@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: 651324-close@bugs.debian.org
Subject: Bug#651324: fixed in python-potr 1.0.0~beta6-1
Date: Sun, 17 Feb 2013 21:00:08 +0000
Source: python-potr
Source-Version: 1.0.0~beta6-1

We believe that the bug you reported is fixed in the latest version of
python-potr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651324@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hans-Christoph Steiner <hans@eds.org> (supplier of updated python-potr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 20 Dec 2012 16:25:37 -0500
Source: python-potr
Binary: python-potr
Architecture: source all
Version: 1.0.0~beta6-1
Distribution: experimental
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Hans-Christoph Steiner <hans@eds.org>
Description: 
 python-potr - Pure Python implementation of the OTR protocol
Closes: 651324
Changes: 
 python-potr (1.0.0~beta6-1) experimental; urgency=low
 .
   * Initial release (Closes: #651324)
Checksums-Sha1: 
 95d2cb968b42d584f43c8c27ab43f658ff682d6f 2152 python-potr_1.0.0~beta6-1.dsc
 a68428948136dbbdb4e8696cc0069fe920babeed 44226 python-potr_1.0.0~beta6.orig.tar.gz
 84f8c7337d33518c09d13cc80deee1c976cc081d 3760 python-potr_1.0.0~beta6-1.debian.tar.gz
 ece3bc40a9fe684ec83a277ed3198197ff826528 21252 python-potr_1.0.0~beta6-1_all.deb
Checksums-Sha256: 
 0ccaf677bbc15a86db1af53b91ec51625c45494a0835d2599d20374fbabdc92e 2152 python-potr_1.0.0~beta6-1.dsc
 a66bf6175f18417e7dc0f9a5fe01ff19b15f69f43b0599730257865de63d88da 44226 python-potr_1.0.0~beta6.orig.tar.gz
 65a4fa5d9957f8a25190ba69a9118e389c70605673db8100e046e89eeac15bf9 3760 python-potr_1.0.0~beta6-1.debian.tar.gz
 c74e8f6c1ba0740271c89e8b2a81031c13528517c2266ec97dbf3e26a80b6419 21252 python-potr_1.0.0~beta6-1_all.deb
Files: 
 b3e1a944c13e0fcaa0f2ed3ad7da6fe1 2152 python optional python-potr_1.0.0~beta6-1.dsc
 66ba00852704139ddbd15069e6d1bed4 44226 python optional python-potr_1.0.0~beta6.orig.tar.gz
 fb8e7dba8e7e46544b3999b90565833f 3760 python optional python-potr_1.0.0~beta6-1.debian.tar.gz
 f840548fc71f16d34e3088271aed157b 21252 python optional python-potr_1.0.0~beta6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: GPGTools - http://gpgtools.org

iQIcBAEBCAAGBQJQ04esAAoJEJ8P5Yc3S76BJGIP/1eCqbRQDvnk4bxE/HXqKH7x
HzG69rC3BkGLHPYy8ddOCUCmwJTBjQrTP8YdNZ4AFdsWVvgnFv/nqUGASqjzA3Bx
0MdKJx9ED5PzgmiF/NKBs32Ku7W6bBoMCua7Uif2aQ8sGIBPVu8m3f2lNtes7kBq
d/Ux6au79cvU5wb/LYHlQT5JJzLqZLiwNlT+ilGx11VUqu66xuQEptN9XBAoWn8R
3CBh+pZMV5GO3p4AKtqYPal6xNBp8KuI12HJiyw9VJHkM5ifik5Apue/0xTQo5ck
8S/8GqZdIvIBb3DPCKv2RUFigXBx9VWNq21IxQEpAwfPZrYb5WZ75P0wTFHbfiXo
Jc7MjbE0Pqd0vPZ7jQzE1DJnECS4j57eilD46nsceegTmF5R1BzGhkvuHxOw8ohB
wkI9fy9xer4X9hOW4so82FVbgvDTwKGyDT5UibmuCJ8NNkcsmf6kh5Mso1nYLaJU
vJe+y0NByxtNRnrfYmw/X06yXRFKvbdYC30Vlwh7plfeB5JRf0rt/U+nR3222A6Q
yiVnpzf4mQK+6B7LERAlhF6r5k7CDRifMq6rgqBgEBQGcIQXKabHy8IuQLnn2y0O
cDMa2QtOL04My2JugOgkDPqOWjHRlYa/bhXiAeQ9lMV9D31cHVipwIkwhkNuYizi
lnnpHgkYYG3ovgc2LuhT
=KoE/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Mar 2013 07:25:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:29:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.